<template>
  <v-btn tile color="primary" @click="$router.push('/')" class="mb-4">Back</v-btn>
  <v-card
      class="pa-4"
  >
    <v-btn tile color="primary" class="float-right">Edit</v-btn>
    <v-img
        class="profile-image"
        :src="user.image">
    </v-img>
    <div class="d-flex align-center justify-space-between">
      <div>
        <v-card-title>
          {{ user.lastname }} {{ user.firstname }}
        </v-card-title>
        <v-card-subtitle>
          {{ user.jobPosition }} | {{ user.location }}
        </v-card-subtitle>
      </div>
      <v-btn color="primary">Download CV</v-btn>
    </div>
  </v-card>

  <v-card class="pa-4 mt-5">
    <v-card-title>
      Skills
    </v-card-title>
    <div class="d-flex">
      <v-chip v-for="skill in user.skills" class="ma-2">{{ skill }}</v-chip>
    </div>
  </v-card>


  <v-card class="pa-4 mt-5">
    <v-card-title>
      Experience
    </v-card-title>
    <div>
      <v-card-subtitle v-for="experience in user.experience" class="ma-2">{{ experience }}</v-card-subtitle>
    </div>
  </v-card>

  <v-card class="pa-4 mt-5">
    <v-card-title>
      Language
    </v-card-title>
    <div>
      <v-card-subtitle v-for="lan in user.languages" class="ma-2">{{ lan.language }} - {{ lan.level }}</v-card-subtitle>

    </div>
  </v-card>

  <v-card class="pa-4 mt-5">
    <v-card-title>
      About
    </v-card-title>
    <div>
      <v-card-subtitle class="ma-2">{{ user.about }}</v-card-subtitle>
    </div>
  </v-card>
  <v-card class="pa-4 mt-5">
    <v-card-title>
      Contacts
    </v-card-title>
    <div>
      <v-card-subtitle class="ma-2">Email: {{ user.email }}</v-card-subtitle>
      <v-card-subtitle class="ma-2">Phone: {{ user.phone }}</v-card-subtitle>
    </div>
  </v-card>


</template>

<script>
import axios from 'axios';

export default {
  name: "ProfileView",
  info: [],
  data() {
    return {
      user: {
        "id": 0,
        "image": "/profile-image-1.png",
        "firstname": "Elizaveta",
        "lastname": "Fursevich",
        "email": "lizaveta.fursevich@gmail.com",
        "phone": "+1234567890",
        "password": "password",
        "location": "Minsk, Belarus",
        "birthday": "13.06.2001",
        "jobPosition": "Front-end developer",
        "skills": ["HTML", "CSS", "JS"],
        "languages": [{"language": "Russian", "level": "C1"}, {"language": "English", "level": "A2"}],
        "experience": ["Belitsoft", "LMS365", "GMI Market"],
        "about": "My main goal is helping users achieves their goals."
      }
    }
  },
  methods: {
    async getInfo() {
      try {
        const url = `https://bits-cn-production-api.azurewebsites.net/api/StaticParameters`;
        const response = await axios.get(url);
        const results = response.data;
        console.log(results);
      } catch (err) {
        if (err.response) {
          console.log("Server Error:", err);
        } else if (err.request) {
          console.log("Network Error:", err);
        } else {
          console.log("Client Error:", err);
        }
      }
    }
  },
  mounted() {
    this.getInfo();
  },
  beforeMount() {
    window.scrollTo(0, 0);
  }
}


</script>

<style>
.profile-image {
  border-radius: 50px;
  height: 150px;
  width: 150px;
}

.banner {
  width: 100%;
  height: 200px;
  background: linear-gradient(91.57deg, #FFC9D5 -5.87%, #FEE8C8 104.09%), linear-gradient(91.57deg, #E8C8FC -5.87%, #C4EBFC 104.09%);
  border-radius: 30px 30px 0px 0px;
}
</style>